// **************************************************************
// *** 					   LCD Driver V1.0  				  ***
// ***          Written By P. Fletcher-Jones 9/5/01           ***
// ***                   Last MOD 9/5/01			  		  ***
// ***    Compiled with ImageCraft C compiler Version 6.21E   ***
// **************************************************************

/* To override the Hardward control lines, simply change the
 * global variable as follows:
 
 LCD_DIR_PORT = &DDRB;		  // use DDRB instead of default DDRA
 
 Do this before calling Init_LCD();
 */
 
/* LCD data bus, 8 bit mode 
 */
extern volatile unsigned char *LCD_DIR_PORT;			// default DDRA
extern volatile unsigned char *LCD_IP_PORT;			// default PINA
extern volatile unsigned char *LCD_OP_PORT;			// default PORTA
/* LCD Enable Port
 */
extern volatile unsigned char *LCD_EN_PORT;			// default PORTC 
extern char LCD_EN_BIT;				// default BIT(7)
/* LCD Register Select Port
 */
extern volatile unsigned char *LCD_RS_PORT;			// default PORTC
extern char LCD_RS_BIT;				// default BIT(6)
/* LCD Read Write Port
 */
extern volatile unsigned char *LCD_RW_PORT;			// default PORTC
extern char LCD_RW_BIT;				// default BIT(5)


// *** LCD Function *** //

void Init_LCD(void);

void LCD_Display_Off(void);
void LCD_Display_On(void);
void LCD_Clear(void);
void LCD_Home(void);
void LCD_Cursor(char row, char column);

void LCD_Cursor_On(void);
void LCD_Cursor_Off(void);
void LCD_DisplayCharacter(char Char);

void LCD_DisplayString_F(char row, char column, const unsigned char *string);
void LCD_DisplayString(char row, char column, unsigned char *string);


